package log

import (
	"github.com/gin-gonic/gin"
	v1 "log-server/api/v1"
)

type LogingRouter struct {
}

func (e *LogingRouter) InitLogingRouter(Router *gin.RouterGroup) {
	excelRouter := Router.Group("loging")
	logApi := v1.ApiGroupApp.LogApiGroup.ApiLoging
	{
		excelRouter.POST("setLog", logApi.CreateLog)      // 上报日志
		excelRouter.POST("getLogList", logApi.GetLogList) // 上报日志
		excelRouter.POST("getReportLogList", logApi.GetReportPointsLogList)
		excelRouter.POST("getStatisticsLogList", logApi.GetStatisticsLogList)
		excelRouter.POST("getNodeStatisticsLogList", logApi.GetNodeStatisticsLogList)
		excelRouter.POST("getComputerStatistics", logApi.GetComputerStatistics)
		excelRouter.POST("getOnlineComputer", logApi.GetOnlineComputer)
		excelRouter.POST("getGameIdStatistics", logApi.GetGameIdStatistics)
		excelRouter.POST("getComputerNum", logApi.GetComputerNum)
		excelRouter.POST("computerHeartbeat", logApi.ComputerHeartbeat)
		excelRouter.POST("test", logApi.ComputerTest)
	}
}
